<script setup lang="ts">
import { useCartStore } from "../../stores/menuInCart";
const cartItem = useCartStore();
</script>

<template>
  <v-container>
    <v-table>
      <thead>
        <tr>
          <th class="text-left">No.</th>
          <th class="text-left">ชื่อ</th>
          <th class="text-left">จำนวน</th>
          <th class="text-left">ราคา</th>
        </tr>
      </thead>
      <tbody v-for="item of cartItem.orderItem" :key="item.id">
        <tr>
          <td class="text-left">{{ item.id }}</td>
          <td class="text-left">{{ item.name }}</td>
          <td style="width: 100px" justify-center>
            <v-btn
              variant="outlined"
              size="large"
              icon
              color="info"
              style="width: 20px; height: 20px"
              >-</v-btn
            >
            {{ item.quantity }}
            <v-btn
              variant="outlined"
              size="large"
              icon
              color="info"
              style="width: 20px; height: 20px"
              >+</v-btn
            >
          </td>
          <td class="text-left">{{ item.price }}</td>
        </tr>
      </tbody>
    </v-table>
  </v-container>
</template>

<style scoped></style>
